
package de.ivu.elect.was.exchange.ergebnis;

import java.util.Collection;

import javax.inject.Inject;

import de.ivu.elect.business.security.Customer;
import de.ivu.elect.business.stimmeingabe.entity.Ergebniseingabestatus;
import de.ivu.elect.business.wahl.entity.NlWahlart;
import de.ivu.elect.business.wahl.entity.Wahl;
import de.ivu.elect.was.exchange.ergebnis.csv.AbstractNlWasOsvXxCsvNachGebietErgebniseingabestatusExportMapper;
import de.ivu.elect.was.exchange.ergebnis.csv.Osv56ErgebnisCsvExportMapper;

/**
 * @see NlWasModelP222MainDocumentExportMapper
 * @see NlWasModelP222Eml520ExportMapper
 */
public class NlWasModelP222Osv56CsvExportMapper extends AbstractNlWasOsvXxCsvNachGebietErgebniseingabestatusExportMapper implements NlWasModelP222ExportMapper {

  @Inject
  private transient Osv56ErgebnisCsvExportMapper osv56ErgebnisCsvExportMapper;

  public NlWasModelP222Osv56CsvExportMapper() {
    super();
  }

  @Override
  protected boolean isAcceptWahlebene(Wahl wahl, Customer customer) {
    return NlWasModelP222ExportMapperHelper.isAcceptWahlebene(wahl, customer);
  }

  @Override
  protected Collection<NlWahlart> collectWahlartenAccepted() {
    return NlWasModelP222ExportMapperHelper.collectWahlartenAccepted();
  }

  @Override
  protected Collection<Ergebniseingabestatus> collectErgebniseingabestatusAccepted() {
    return NlWasModelP222ExportMapperHelper.collectErgebniseingabestatusAccepted();
  }

  @Override
  protected Osv56ErgebnisCsvExportMapper getCsvExportMapper() {
    return osv56ErgebnisCsvExportMapper;
  }
}
